## casper 1.131

=== debian/changelog ===
casper (1.131) hardy; urgency=low

  [ Luke Yelavich ]
  * scripts/casper-bottom/30accessibility: Set gconf and orca config values as
    root in automatic-ubiquity, only-ubiquity, and debug-ubiquity modes.
  * ubiquity-hooks/30accessibility: Remove unneeded gconf call to disable esd.

  [ Colin Watson ]
  * Ensure that the live CD user's Desktop directory is owned by them, not
    by root (LP: #218576).
  * Duplicate a chunk of console-setup logic into the keyboard script so
    that we can deal with non-Latin keymaps and the like without having to
    have gfxboot-theme-ubuntu help us; the previous approach broke other
    uses of console-setup, and thus the alternate install CD (LP: #218754).
    This should later be replaced by just running console-setup, and I'll
    open another bug for this.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Apr 2008 14:52:05 +0100

casper (1.130) hardy; urgency=low

  * Handle use of debian-installer/language for locale selection
    (LP: #213930).

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 12 Apr 2008 00:30:10 +0100

casper (1.129) hardy; urgency=low

  * Add COPYING file with GPL text (LP: #211923).
  * Add casper-new-uuid script to simplify UUID regeneration process,
    contributed by Mario Limonciello of Dell (LP: #209847).
  * Update casper-snapshot for genext2fs --reserved-blocks =>
    --reserved-percentage option change (LP: #202048). Add a Breaks as the
    most lightweight available method of documenting that we need genext2fs
    >= 1.4.1 for this.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 10 Apr 2008 01:45:47 +0100

casper (1.128) hardy; urgency=low

  [ Luke Yelavich ]
  * scripts/casper-bottom/30accessibility &
    ubiquity-hooks/30accessibility:
    - Update gconf keys to ensure onboard actually gets loaded.
    - Change ownership of created orca settings files to the user.
    - Add extra bits to make orca settings actually work.

  [ Evan Dandrea ]
  * Add mode=755 to the tmpfs mount that becomes / in the unionfs mount
    so that / in the live filesystem does not end up with 777 permissions
    (LP: #206030).

  [ Colin Watson ]
  * Make scripts/casper-bottom/38disable_restricted_manager executable
    again.
  * Depend on uuid-runtime for uuidgen.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 31 Mar 2008 18:11:55 +0100

casper (1.127) hardy; urgency=low

  * Leave spawning the noninteractive ubiquity frontend to its initscript.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 25 Mar 2008 15:52:32 -0400

casper (1.126) hardy; urgency=low

  * scripts/casper-bottom/10adduser: Test for konqueror not kdesktop,
    stops putting a broken icon on the Kubuntu KDE 4 desktop

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Mar 2008 15:42:31 +0000

casper (1.125) hardy; urgency=low

  [ Colin Watson ]
  * Stop quoting Exec arguments in .desktop files. Apparently this used to
    work but now the system conforms more strictly to the desktop entry
    specification (LP: #204185).

  [ Jonathan Riddell ]
  * scripts/casper-bottom/15autologin: Enable auto-login for KDM-KDE4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Mar 2008 10:20:17 +0000

casper (1.124) hardy; urgency=low

  [ Colin Watson ]
  * Name generated snapshot images according to their type (LP: #202699).

  [ Martin Pitt ]
  * scripts/casper-bottom/44pk_allow_ubuntu: Remove erroneous blank line at
    the start of PolicyKit.conf, since this is invalid XML. This broke
    PolicyKit completely on the live system.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 18 Mar 2008 10:20:08 +0100

casper (1.123) hardy; urgency=low

  * Add scripts/casper-bottom/44pk_allow_ubuntu: Allow PolicyKit privileges
    without password to the default live session user. This avoids the need to
    press Enter at the password prompt, which is quite confusing. Thanks to
    MarioDebian! (LP: #201852)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 14 Mar 2008 17:26:37 +0100

casper (1.122) hardy; urgency=low

  * Fix paths in About Kubuntu links

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 14 Mar 2008 15:12:38 +0000

casper (1.121) hardy; urgency=low

  * Use a link for About Kubuntu docs in Kubuntu-KDE4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 12 Mar 2008 23:57:50 +0000

casper (1.120) hardy; urgency=low

  * Use dhclient directly instead of ifupdown for the url= kernel cmdline
    argument so that we don't have to worry about the interfaces file
    propagating to the installed system.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 11 Mar 2008 13:08:08 -0400

casper (1.119) hardy; urgency=low

  [ Luke Yelavich ]
  * scripts/casper-bottom/30accessibility &
    ubiquity-hooks/30accessibility:
    - Disable compiz for screen reader and braille terminal accessibility
      profiles. It is currently not possible to get feedback about open
      windows when cycling through them using ALT + Tab with Compiz.
  * ubiquity-hooks/30accessibility: Add braille terminal profile.

  [ Colin Watson ]
  * Always set language in both /etc/default/locale and /etc/environment
    (thanks, Sebastien Bacher).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 03 Mar 2008 10:21:42 +0000

casper (1.118) hardy; urgency=low

  [ Julian Andres Klode, Colin Watson ]
  * Use aufs instead of unionfs if union=aufs is given (LP: #187259).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 14 Feb 2008 18:00:36 +0000

casper (1.117) hardy; urgency=low

  * Disable speech for magnifier and braille profiles again.  Thanks
    Luke Yelavich.
  * esd is enabled by default, so the comment in 30accessibility is no
    longer relevant.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 13 Feb 2008 01:20:22 -0500

casper (1.116) hardy; urgency=low

  * Fix setting orca options in 30accessibility.
  * Remove gdm and kdm from init when using automatic-ubiquity and
    only-ubiquity.  The ubiquity initscript will take care of spawning
    these.

 -- Evan Dandrea <evand@ubuntu.com>  Mon, 11 Feb 2008 12:19:39 -0500



## casper 1.132ubuntu0.2

=== debian/changelog ===
casper (1.132ubuntu0.2) hardy-proposed; urgency=low

  * Test if livemedia is a directory before trying to mount it as a
    loopfile
  * Reverted changes to casper-helpers as requested by Mithrandir since     
    replaying the journal on a hibernated system would lead to file system 
    corruption (LP: #230703).

 -- Agostino Russo <agostino.russo@gmail.com>  Tue, 10 Jun 2008 00:27:12 +0100

casper (1.132ubuntu0.1) hardy-proposed; urgency=low

  * Do not scan only vfat volumes when looking for cow devices (LP: #230703)
  * Allow casper to use a squashfs filesystem within an arbitrary path (LP:
    #230716, #207137)

 -- Agostino Russo <agostino.russo@gmail.com>  Thu, 15 May 2008 22:10:50 +0100

=== debian/control ===
Source: casper
Section: misc
Priority: optional
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>> 4.2.0), lsb-release
Standards-Version: 3.6.1
XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/casper/trunk

Package: casper
Architecture: any
Section: misc
Priority: extra
Depends: initramfs-tools (>= 0.40ubuntu11), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data
Conflicts: usplash (<< 0.4-43)
Breaks: genext2fs (<< 1.4.1)
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Run a "live" preinstalled system from read-only media

Package: ubiquity-casper
Architecture: all
Depends: laptop-detect, sudo
Conflicts: espresso-casper
Replaces: espresso-casper
Enhances: ubiquity
Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
Description: Configuration hooks for live installer
 This package provides hook scripts for the Ubiquity live installer that
 repeat some pieces of configuration done by the live system boot process in
 the system installed by Ubiquity.

=== debian/rules ===
#! /usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Looking in which build system we are
BUILD_SYSTEM := $(shell lsb_release --short --id)

build:
	dh_testdir

	# Setting BUILD_SYSTEM in the binary package
	sed -i -e 's/\(BUILD_SYSTEM="\).*"/\1'$(BUILD_SYSTEM)'"/g' casper.conf

	$(MAKE) -C casper-md5check
	set -e; \
	for x in bin/* scripts/casper scripts/casper-bottom/* \
	         ubiquity-hooks/*; do \
		sh -n $$x; \
	done

clean:
	dh_testdir
	$(MAKE) -C casper-md5check clean

	dh_clean

install: build
	dh_testdir
	dh_clean -k
	dh_installdirs
	dh_install
	install -m755 casper-md5check/casper-md5check debian/casper/usr/lib/casper
	install -m644 casper.conf debian/casper/etc/casper.conf

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installexamples -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs -a
	dh_installman -a
	dh_installexamples -a
	dh_installinit -a -r --no-start -- start 89 0 6 .
	dh_installchangelogs -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## casper 1.132ubuntu0.3

=== debian/changelog ===
casper (1.132ubuntu0.3) hardy-proposed; urgency=low

  * Backports from trunk to fix persistence:
    - Do not use mode= when mounting /cow using persistent mode (LP: #219192).
    - Skip remounting read-only in try_mount as it's unnecessary and breaks
      persistence.  Thanks James Westby (LP: #274076).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 17 Jun 2009 10:39:35 +0100

## casper 1.152

=== debian/changelog ===
casper (1.152) intrepid; urgency=low

  * Use kde4rc now for accessibility profiles

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 25 Oct 2008 23:44:54 +0100

casper (1.151) intrepid; urgency=low

  * Force ubiquity to --automatic mode for ubuntu-mid

 -- Emmet Hikory <persia@ubuntu.com>  Thu, 16 Oct 2008 15:31:16 +0100

casper (1.150) intrepid; urgency=low

  * Fix path to Kubuntu help file in 10adduser (really)

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 16 Oct 2008 12:16:54 +0100

casper (1.149) intrepid; urgency=low

  * scripts/casper-bottom/30accessibility &
    ubiquity-hooks/30accessibility:
    - Revert to using gconf keys for starting orca, as this is now what
      orca does when the user chooses to automatically start orca from Orca's
      preferences window.
    - Explicitly set orca as the program to start up for magnification,
      speech, and braille.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 16 Oct 2008 11:33:02 +1100

casper (1.148) intrepid; urgency=low

  * Skip remounting read-only in try_mount as it's unnecessary and
    breaks persistence.  Thanks James Westby (LP: #274076).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 15 Oct 2008 13:09:57 -0400

casper (1.147) intrepid; urgency=low

  * Fix path to Kubuntu help file in 10adduser 

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 15 Oct 2008 12:49:29 +0100

casper (1.146) intrepid; urgency=low

  * Update About Kubuntu link in 10adduser for KDE 4

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 06 Oct 2008 17:54:15 +0100

casper (1.145) intrepid; urgency=low

  * 38disable_restricted_manager: Remove some obsolete l-r-m and
    restricted-manager code, and rename the script to 38jockey_disable_check
    to better reflect its purpose.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 06 Oct 2008 09:21:40 +0200

casper (1.144) intrepid; urgency=low

  * Bump media detection timeout to a minute; thanks to Tormod Volden and
    Steve Beattie for analysis (LP: #258432).
  * Note that this changes (fixes?) the semantics of LIVEMEDIA_TIMEOUT due
    to not using hex values in a for loop which aren't understood by test
    -lt (thanks, Steve Beattie).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Sep 2008 18:35:13 +0100

casper (1.143) intrepid; urgency=low

  * scripts/casper-bottom/30accessibility &
    ubiquity-hooks/30accessibility: Change the way that orca is set to
    automatically start. Orca can be started via a gconf key, however this
    is not reflected in the orca UI, and doesn't easily allow the user to
    prevent orca from autostarting on an installed system.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 24 Sep 2008 10:37:35 +1000

casper (1.142) intrepid; urgency=low

  * Fix syntax error introduced by is_nice_device regex fix.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Sep 2008 02:30:59 +0100

casper (1.141) intrepid; urgency=low

  [ Johannes Ballé ]
  * Handle spaces in file names in md5sum.txt (LP: #251112).

  [ Colin Watson ]
  * Support ?= (set value but don't mark as seen) preseeding syntax in
    preseed script; previously we only supported it in the keyboard script,
    which confusingly doesn't deal with propagating console-setup/* preseeds
    to the target filesystem (LP: #253749).
  * Update to localechooser's new languagelist format.

  [ Tormod Volden ]
  * scripts/casper: don't scan floppy drives for livefs images (LP: #97306)
  * scripts/casper: fix broken RE in is_nice_device() (LP: #250328)
  * scripts/casper: properly use argument $1 in matches_uuid()

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Sep 2008 02:14:05 +0100

casper (1.140) intrepid; urgency=low

  [ Colin Watson ]
  * Disable jockey as well as the old restricted-manager. While jockey does
    do more than restricted-manager did, it also still uses a good chunk of
    memory for a use case that's fairly limited on the live CD.

  [ Luke Yelavich ]
  * scripts/casper-bottom/30accessibility &
    ubiquity-hooks/30accessibility:
    - Check that usr/bin/orca exists and is executable before creating user
      settings files.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 12 Sep 2008 19:23:41 +1000

casper (1.139) intrepid; urgency=low

  * add compcache conf.d configuration for initramfs-tools

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 14 Aug 2008 00:25:54 +0200

casper (1.138) intrepid; urgency=low

  [ Tormod Volden ]
  * use full path for vol_id in swap-on-raid detection (LP: #136804)

  [ Martin Pitt ]
  * 33enable_apport_crashes: Change the apport default file, not the
    update-notifier gconf keys, to undo the corresponding change for disabling
    apport right before the release.
  * Add 45disable_guest_account: Purge the gdm-guest-session package from the
    live system, since having guest sessions in a live session does not make
    much sense. (See gdm-guest-login spec)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 31 Jul 2008 14:19:07 +0200

casper (1.137) intrepid; urgency=low

  * Update scripts/casper-bottom/15autologin for KDM from KDE 4.
  * Update 32disable_hibernation for KDE 4.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 17 Jul 2008 13:41:38 +0100

casper (1.136) intrepid; urgency=low

  * Remove bad-and-wrong setting of PATH to include directories under /root;
    now that grep links to more libraries than before, this broke a number
    of things. Requires initramfs-tools (>= 0.92bubuntu5) because this
    doesn't work with klibc chroot.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 11 Jul 2008 12:34:35 +0100

casper (1.135) intrepid; urgency=low

  [ Loic Minier ]
  * Fix use of PREREQ instead of PREREQS in hooks/casper.

  [ Colin Watson ]
  * Fix mount argument ordering for klibc mount.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 09 Jul 2008 12:34:26 +0100

casper (1.134) intrepid; urgency=low

  [ Evan Dandrea ]
  * Do not use mode= when mounting /cow using persistent mode (LP: #219192).

  [ Colin Watson ]


## casper 1.173

=== debian/changelog ===
casper (1.173) jaunty; urgency=low

  * Don't use head -n1 in where_is_mounted, we don't have head in the
    initramfs.  LP: #363038.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 17 Apr 2009 22:22:06 -0700

casper (1.172) jaunty; urgency=low

  * 43disable_updateinitramfs: The /cdrom mount has been moved to
    /root/cdrom by the time this script runs, so check that instead.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 18:30:29 +0100

casper (1.171) jaunty; urgency=low

  * Set MP_QUIET to -q instead of -Q on Ubuntu as well, and not just for
    Debian as the modprobe in the latest upstream release of module-init-tools
    doesn't accept -Q anymore.

 -- Loic Minier <lool@dooz.org>  Wed, 08 Apr 2009 17:31:40 +0200

casper (1.170) jaunty; urgency=low

  * is_nice_device(): allow devices with an ID_PATH of platform-mmc* as well
    as used for instance for SD cards on the ARM iMX51 Babbage board;
    LP: #357700.

 -- Loic Minier <lool@dooz.org>  Wed, 08 Apr 2009 15:34:01 +0200

casper (1.169) jaunty; urgency=low

  * [ -w /cdrom ] turns out not to be a sufficient test for files under
    /cdrom being writable; with busybox, it always returns true even for
    read-only filesystems. Explicitly check for the read-only flag in mount
    output to work around this.
  * Fix where_is_mounted helper function to actually produce output (thanks,
    Steve Dodd; LP: #346941).
  * Add a comment to find_cow_device explaining why the choice of
    filesystems is restricted (I asked for this comment in LP #230703 but it
    apparently never got written).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Apr 2009 01:47:05 +0100

casper (1.168) jaunty; urgency=low

  * Fix writing of "$@" to diverted update-initramfs script (here-documents
    perform parameter expansion unless the delimiter is quoted).
  * Don't bring up a temporary network interface while fetching the preseed
    file when netbooting, as that will disconnect our root filesystem
    (LP: #351982).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 31 Mar 2009 15:39:29 +0100

casper (1.167) jaunty; urgency=low

  * Disable kwallet from KDE 4 in 34disable_kde_services

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 27 Mar 2009 18:40:35 +0000

casper (1.166) jaunty; urgency=low

  [ Emmet Hikory ]
  * Show the ubiquity icon in kourou (LP: #338730)

  [ Timo Jyrinki ]
  * Move examples.desktop to Desktop/ if it exists, as an alternative to
    Examples (LP: #45489).

  [ Luke Yelavich ]
  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - Make the special case disabling of pulseaudio per user, and not system
      wide.
    - Also disable PulseAudio for the Braille profile.
    - Fix incorrect paths when chowning files.
    - Don't use /root for the ubiquity hook accessibility script, /target is
      where the installed system is located.
    - Remove laptop detect code. Its not currently working, and getting it to
      work requires invasive changes.
    - Only set pulseaudio settings and create the .orca directory if sed
      packages are installed on the live filesystem and installed system.
  * ubiquity-hooks/30accessibility: Copy orca settings to the installed system.

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 27 Mar 2009 14:38:20 +1100

casper (1.165) jaunty; urgency=low

  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - When the blindness accessibility profile is chosen, create the .orca
      directory in the live user's home directory. This seems to allow orca
      to properly reload and use settings in the live session without needing
      to be restarted. This is only needed for the blindness profile, due to
      the other profiles that use orca already creating the .orca directory.
      (LP: #194992)

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 20 Mar 2009 08:37:20 +1100

casper (1.164) jaunty; urgency=low

  * Update 34disable_kde_services to not start
    update-notifier-kde or plasma's contact plugin which uses akonadi

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Mar 2009 18:07:52 +0000

casper (1.163) jaunty; urgency=low

  * 34disable_kwallet moved to 34disable_kde_services and disables
    various services not needed by live CDs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Mar 2009 14:33:13 +0000

casper (1.162) jaunty; urgency=low

  * If /cdrom is writable, call the diverted update-initramfs and copy
    the resulting kernel and initrd to /cdrom/casper (LP: #292159).

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 10 Mar 2009 14:36:30 +0000

casper (1.161) jaunty; urgency=low

  [ Juanje Ojeda ]
  * Regenerate SSL certificate at boot so that it isn't the same for all
    live CD users (LP: #337723).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 10 Mar 2009 10:39:21 +0000

casper (1.160) jaunty; urgency=low

  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - Adjust sudoers file to allow ORBIT_SOCKET_DIR, XDG_SESSION_COOKIE and
      GTK_MODULES environment variables through to root, for v2, v3, and
      braille profiles. This allows users to use administrative GTK/GNOME
      applications executed by gksudo with accessibility tools like orca.
      
 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 10 Mar 2009 15:38:17 +1100

casper (1.159) jaunty; urgency=low

  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - Disable pulseaudio for the blindness profile, as pulseaudio and espeak
      and portaudio v19 do not play very well with each other, lots of
      crackling, cut of speech. At least espeak via ALSA natively is usable,
      and latency is relatively low.

 -- Luke Yelavich <themuso@ubuntu.com>  Tue, 10 Mar 2009 09:03:06 +1100

casper (1.158) jaunty; urgency=low

  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - use laptop_detect function in blindness profile as well



=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: any
 Section: misc
 Priority: extra
-Depends: initramfs-tools (>= 0.40ubuntu11), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data
+Depends: initramfs-tools (>= 0.92bubuntu5), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1)
 Conflicts: usplash (<< 0.4-43)
 Breaks: genext2fs (<< 1.4.1)
 Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660

## casper 1.174jolicloud5

=== debian/changelog ===
casper (1.174jolicloud5) robby; urgency=low

  * Changed the shutdown message to say "Remove USB key"

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 26 Jul 2010 20:46:41 -0600

casper (1.174jolicloud4) robby; urgency=low

  * Set TimedLoginDelay=1 in GDM; ugly hack for GMA500 until GDM stutter
    problem resolved

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 24 Mar 2010 14:17:57 -0600

casper (1.174jolicloud3) robby; urgency=low

  * Modified initramfs scripts to honour BUILD_SYSTEM = "Jolicloud";
    fixes /etc/sudoers NOPASSWD regression when booting ISO

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 24 Mar 2010 10:25:12 -0600

casper (1.174jolicloud2) robby; urgency=low

  * Fix upgrade process of /etc/casper.conf due to PreBeta ISO snafu

 -- Adam McDaniel <adam@jolicloud.org>  Fri, 12 Mar 2010 10:33:01 -0700

casper (1.174jolicloud1) robby; urgency=low

  * Rebased with 1.174 from karmic
    - Set "Jolicloud" values in casper.conf

 -- Adam McDaniel <adam@jolicloud.org>  Sun, 07 Mar 2010 15:55:09 -0700

casper (1.174) karmic; urgency=low

  * debian/control: Increase dependency on initramfs-tools to get the version
    that uses blkid, depend on util-linux as well
  * hooks/casper: No need to copy vol_id into the initramfs image. 
  * scripts/casper-bottom/13swap: Use blkid -o udev -p instead of vol_id,
    there's probably a much cleaner way to check for RAID like this, but
    this is the direct equivalent.
  * scripts/casper-helpers (get_fstype): use a blkid call to get the type 
  * scripts/casper-helpers (find_cow_device): use a blkid call to get the
    label

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 12 May 2009 13:29:41 +0100

casper (1.173jolicloud2) robby; urgency=low

  * Set "Jolicloud" values in casper.conf

 -- Adam McDaniel <adam@jolicloud.org>  Sun, 07 Mar 2010 12:14:05 -0700

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Architecture: any
 Section: misc
 Priority: extra
-Depends: initramfs-tools (>= 0.92bubuntu5), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1)
+Depends: initramfs-tools (>= 0.92bubuntu30), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1)
 Conflicts: usplash (<< 0.4-43)
 Breaks: genext2fs (<< 1.4.1)
 Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660

## casper 1.206

=== casper-md5check/Makefile ===

CC=gcc
CFLAGS=$(getconf LFS_CFLAGS) -Wall -O2

casper-md5check: casper-md5check.c md5.c

clean:
	rm -f *.o casper-md5check

=== debian/changelog ===
casper (1.206) karmic; urgency=low

  * Fix broken /cdrom writable test in 43disable_initramfs
    (LP: #450259).

 -- Evan Dandrea <evand@ubuntu.com>  Thu, 22 Oct 2009 11:49:15 +0100

casper (1.205) karmic; urgency=low

  * scripts/casper-bottom/25configure_init: Disable sreadahead on live CD
    boot. Not only does it profile the live CD boot to no benefit, but it
    also looks as if it may be responsible for breaking Wubi installs by
    reading from partman's synchronisation FIFOs (LP: #439279).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 20 Oct 2009 17:32:02 +0100

casper (1.204) karmic; urgency=low

  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - .pulse_a11y_nostart -> pulse_a11y_nostart due to being in a system
      directory, to completely match the change in pulseaudio, which I missed
      earlier.

 -- Luke Yelavich <themuso@ubuntu.com>  Wed, 14 Oct 2009 08:29:07 +1100

casper (1.203) karmic; urgency=low

  * scripts/casper-bottom/30accessibility && ubiquity-hooks/30accessibility:
    - Change .pulse_a11y_nostart location to /var/lib/pulseaudio, as per
      the change in pulseaudio itself, to solve a race condition with volume
      settings restore.

 -- Luke Yelavich <themuso@ubuntu.com>  Mon, 12 Oct 2009 08:31:51 +1100

casper (1.202) karmic; urgency=low

  * scripts/casper-bottom/46_disable_services:
    - MythTV backend is now an upstart service, so rename it's conf file
      in /etc/init, rather than using update-rc.d.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 11 Oct 2009 13:47:00 -0500

casper (1.201) karmic; urgency=low

  [ Colin Watson ]
  * Don't prompt to eject the SD card on Babbage boards, since for now it's
    reused as a quasi-boot-floppy (LP: #364273).

  [ James Westby ]
  * scripts/casper-bottom/44pk_allow_ubuntu: update to work for polkit-1
    as well. Allow the live cd user to perform any action when at the
    active console. (LP: #447141)

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 09 Oct 2009 16:06:53 +0100

casper (1.200) karmic; urgency=low

  * scripts/casper-bottom/20xconfig:
    - Fix xforcevesa to generate a good failsafe xorg.conf (LP: #423969)

 -- Mario Limonciello <superm1@ubuntu.com>  Thu, 08 Oct 2009 22:26:42 -0500

casper (1.199) karmic; urgency=low

  [ Tormod Volden ]
  * Scan device-mapper (RAID) devices for live filesystem (LP: #385305).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Oct 2009 23:39:57 +0100

casper (1.198) karmic; urgency=low

  * scripts/casper: Send PULSELOGO usplash command at startup. (LP: #438762)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 02 Oct 2009 13:51:07 +0200

casper (1.197) karmic; urgency=low

  [ Colin Watson ]
  * Fix tty device name construction to work with new upstart (LP: #438678).

  [ Loïc Minier ]
  * scripts/casper-bottom/22serialtty: pass -L to getty and set term to vt100.
  * scripts/casper-bottom/22serialtty: set +x...

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 01 Oct 2009 23:27:45 +0100

casper (1.196) karmic; urgency=low

  * Extend our hack that arranges to run setupcon after usplash exits to
    cover the new Upstartified usplash as well.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Sep 2009 01:36:55 +0100

casper (1.195) karmic; urgency=low

  [ Oliver Grawert ]
  * add support for serialtty= cmdline option for debugging purposes in live
    sessions

  [ Colin Watson ]
  * Upstart moved /etc/event.d/ to /etc/init/; adjust shell provision on VTs
    to match (LP: #434769).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Sep 2009 10:52:32 +0100

casper (1.194) karmic; urgency=low

  * Fix 47unr_ubiquity shell code to make slightly more sense.
  * Tell mkinitramfs that casper needs usplash (LP: #434980).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 24 Sep 2009 01:29:21 +0100

casper (1.193) karmic; urgency=low

  * Sync LSB headers in init script with desired behaviour: don't start
    casper at boot, and stop after umountroot but before halt/reboot.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Sep 2009 13:08:23 +0100

casper (1.192) karmic; urgency=low

  [ Colin Watson ]
  * Upgrade to debhelper v7.

  [ Jonathan Riddell ]
  * Add 37kubuntu_netbook_installer_link to show ubiquity launcher

 -- Jonathan Riddell <jriddell@ubuntu.com>  Sat, 12 Sep 2009 00:10:03 +0100

casper (1.191) karmic; urgency=low

  * Slightly re-work 47unr_ubiquity, so that ubiquity doesn't keep getting
    added to the favourites if persistence is used. 

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 08 Sep 2009 20:35:00 +1000

casper (1.190) karmic; urgency=low

  [ Colin Watson ]
  * Don't produce an invalid sed program when trying to remove an applet
    which isn't in the panel (LP: #406188).

  [ Tormod Volden ]
  * do not remount filesystems that already have been probed when
    searching for the livefs (LP: #424464)
  * Fix quoting in try_snap (LP: #424742).
  * Silence error messages for non-existent device nodes (LP: #425159).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 07 Sep 2009 13:10:53 +0100

casper (1.189) karmic; urgency=low

  * In 10adduser fix path to ubiquity-kde.desktop file

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 02 Sep 2009 14:54:41 +0100

casper (1.188) karmic; urgency=low

  * Allow for platform-orion-ehci in ID_PATH to qualify as a "nice_device"
    i.e. one which can host a livefs.  This is the name of the USB device
    driver on Marvell Dove boards.

 -- Loïc Minier <loic.minier@ubuntu.com>  Mon, 31 Aug 2009 14:16:21 +0200

casper (1.187) karmic; urgency=low

  * Stop recommending unionfs-fuse, as we're using aufs again in Karmic.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Aug 2009 12:07:14 +0100

casper (1.186) karmic; urgency=low

  [ Loïc Minier ]
  * Allow for platform-mxsdhci in ID_PATH to qualify as a "nice_device" i.e.
    one which can host a livefs.  This is the new name of this device in
    2.6.31 kernels on Babbage i.MX51.

  [ Steve Kowalik ]


=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>> 4.2.0), lsb-release
+Build-Depends: debhelper (>= 7.0.50~), lsb-release
 Standards-Version: 3.6.1
 XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/casper/trunk
 
@@ -10,7 +10,7 @@
 Architecture: any
 Section: misc
 Priority: extra
-Depends: initramfs-tools (>= 0.92bubuntu30), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1)
+Depends: ${shlibs:Depends}, initramfs-tools (>= 0.92bubuntu30), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1)
 Conflicts: usplash (<< 0.4-43)
 Breaks: genext2fs (<< 1.4.1)
 Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660

## casper 1.236

=== debian/changelog ===
casper (1.236) lucid; urgency=low

  * Check for LTS in the release name (LP: #558488).

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 21 Apr 2010 11:12:32 +0100

casper (1.235) lucid; urgency=low

  * Unbreak early command from previous commit.

 -- Mario Limonciello <Mario_Limonciello@Dell.com>  Thu, 15 Apr 2010 02:54:15 -0500

casper (1.234) lucid; urgency=low

  * Only bring the network up while running preseed/early_command if
    preseed/allow-network=true.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Apr 2010 15:56:40 +0100

casper (1.233) lucid; urgency=low

  * Bring the network up while running preseed/early_command.
  * Fix use of debconf passthrough frontend; DEBCONF_READFD and
    DEBCONF_WRITEFD were backwards, and DEBIAN_HAS_FRONTEND and
    DEBCONF_REDIR needed to be unset or else confmodule scripts would end up
    trying to talk to closed file descriptors.
  * Run debconf-communicate with a read-only template database and separate
    config databases, and copy any changed values back to the master
    databases at the end.  This allows us to use the noninteractive frontend
    rather than passthrough when running apt-get in preseed/early_command or
    dpkg to install driver updates, thereby ensuring that the template
    database is properly initialised (LP: #557011).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 12 Apr 2010 23:41:09 +0100

casper (1.232) lucid; urgency=low

  * bump compcache size to 50% on live images for machines with less than
    512MiB. This makes sure we don't hit OOM errors on systems with only
    256MiB of RAM.

 -- Oliver Grawert <ogra@ubuntu.com>  Mon, 12 Apr 2010 08:10:06 +0200

casper (1.231) lucid; urgency=low

  [ Jonathan Riddell ]
  * Remove 37kubuntu_netbook_installer_link, now done with a patch in
    kdebase-workspace

  [ Colin Watson ]
  * If copying live media to RAM or disk, explicitly copy .disk, since *
    won't expand to include it (LP: #526305).
  * Cache /bin/plymouth and /sbin/usplash_write before ejecting the CD, in
    the hope that that helps with I/O errors on reboot (see LP #539027).

  [ Luke Yelavich ]
  * ubiquity-hooks/30accessibility: Copy the orca settings directory to the
    gdm home directory, to allow for preferred orca settings to be used in
    gdm (LP: #551515).

 -- Luke Yelavich <themuso@ubuntu.com>  Fri, 09 Apr 2010 14:00:51 +1000

casper (1.230) lucid; urgency=low

  * Don't save the hardware clock on live CD reboot; we used to do this in
    the sysvinit world, but it regressed when we switched to Upstart
    (thanks, Norm Pierce; LP: #436535).
  * When running update-initramfs on writable media, update initrd.lz rather
    than initrd.gz if it's present, and make the update process a bit safer
    while we're there (LP: #489736).
  * Handle toram and todisk=DEVICE options on command line (LP: #526305).
  * Policy version 3.8.4: no changes required.
  * Convert to source format 3.0 (native).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 30 Mar 2010 11:41:24 +0100

casper (1.229) lucid; urgency=low

  [ Jonathan Riddell ]
  * Update scripts/casper-bottom/34disable_kde_services for lucid

  [ Evan Dandrea ]
  * Don't let apt try to auto-detect the CD-ROM device using udev.  We
    already know what it is, and using udev to find it again wont work
    for USB disks.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 23 Mar 2010 11:42:00 +0000

casper (1.228) lucid; urgency=low

  * Update for the new libplymouth2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Mar 2010 18:37:02 -0800

casper (1.227) lucid; urgency=low

  * casper-md5check: port from usplash to plymouth.  LP: #500198
  * fix up our reliance on usplash, /dev/console elsewhere.  LP: #506418.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Mar 2010 01:12:28 -0800

casper (1.226) lucid; urgency=low

  [ Colin Watson ]
  * Stop using removed nfsro option for NFS/unionfs (thanks, Bernhard
    Seibold; LP: #460781).

  [ Jonathan Riddell ]
  * Remove scripts/casper-bottom/48enable_kubuntu_netbook and ubiquity-
    hooks/48enable_kubuntu_netbook now enabled in kubuntu-netbook-
    default-settings

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 10 Mar 2010 22:23:04 +0000

casper (1.225) lucid; urgency=low

  * Add ubiquity-hooks/49kubuntu_gnome_icon_cache to recreate the Gnome
    icon cache on Kubuntu CDs, removed by livecd-rootfs

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 08 Mar 2010 11:47:01 +0000

casper (1.224) lucid; urgency=low

  * Remove ubiquity-hooks/35copy_wallpaper_cache as now implement it in
    ubiquity itself (LP: #530024)

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 01 Mar 2010 19:41:45 +0100

casper (1.223) lucid; urgency=low

  * Bind-mount /dev, /proc, and /sys into /root while running apt-cdrom.
  * Copy /lib/udev/rules.d/60-cdrom_id.rules into the initramfs to go with
    /lib/udev/cdrom_id, so that apt-cdrom will be able to find ID_CDROM=1
    entries when we run it.  This should stop update-notifier from
    repeatedly popping up during the live session.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 23 Feb 2010 01:35:30 +0000

casper (1.222) lucid; urgency=low

  * scripts/casper-bottom/47une_ubiquity:
    - get back ubiquity favorite icon in UNE live (LP: #524381)
    - rename the script from 47unr_ubiquity to 47une_ubiquity as well
      as "UNR" mention

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 22 Feb 2010 14:01:25 +0100

casper (1.221) lucid; urgency=low

  * Remove the rest of the mythbuntu delta from 10adduser.  It will be
    maintained in the mythbuntu-live-autostart package instead so that
    users from ~mythbuntu-dev can administer it.

 -- Mario Limonciello <superm1@ubuntu.com>  Sun, 21 Feb 2010 20:22:00 -0600

casper (1.220) lucid; urgency=low

  * scripts/casper: calculate memory without "head" utility, thanks to
    Petar Bogdanovic (LP: #25496).

 -- Kees Cook <kees@ubuntu.com>  Fri, 19 Feb 2010 14:04:18 -0800

casper (1.219) lucid; urgency=low

  [ Mario Limonciello ]


## casper 1.236common0hedley2

=== debian/changelog ===
casper (1.236common0hedley2) lucid; urgency=low

  * Change shutdown splash message to refer to "installation media" instead of
    "disc".

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Thu, 10 Jun 2010 17:16:42 -0400

casper (1.236common0hedley1) lucid; urgency=low

  * Add live-media command-line option to scripts/casper.  Sets LIVEMEDIA with
    passed-in value.  LIVEMEDIA is already used by scripts/casper if set.
  * debian/control: Update Vcs-Bzr: to hedley branch.

 -- Debbie Beliveau <debbie.beliveau@canonical.com>  Tue, 01 Jun 2010 15:22:38 -0400

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: misc
 Priority: optional
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-Build-Depends: debhelper (>= 7.0.50~), lsb-release
-Standards-Version: 3.6.1
-XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/casper/trunk
+Build-Depends: debhelper (>= 7.0.50~), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config
+Standards-Version: 3.8.4
+Vcs-Bzr: lp:~hedley-team/hedley/casper
 
 Package: casper
 Architecture: any
 Section: misc
 Priority: extra
-Depends: ${shlibs:Depends}, initramfs-tools (>= 0.92bubuntu30), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, initramfs-tools (>= 0.92bubuntu55), busybox-initramfs (>= 1:1.1.3-4ubuntu3), dmsetup, user-setup, sudo, eject, uuid-runtime, localechooser-data (>= 2.03ubuntu1), util-linux (>= 2.15-1)
 Conflicts: usplash (<< 0.4-43)
 Breaks: genext2fs (<< 1.4.1)
 Tag: admin::boot, admin::filesystem, implemented-in::shell, protocol::smb, role::plugin, scope::utility, special::completely-tagged, works-with-format::iso9660
@@ -18,7 +18,7 @@
 
 Package: ubiquity-casper
 Architecture: all
-Depends: laptop-detect, sudo
+Depends: laptop-detect, sudo, ${misc:Depends}
 Conflicts: espresso-casper
 Replaces: espresso-casper
 Enhances: ubiquity

## casper 1.236common0omsk2

=== debian/changelog ===
casper (1.236common0omsk2) lucid; urgency=low

  * debian/casper.init: Don't try to eject anything

 -- Michael Terry <michael.terry@canonical.com>  Thu, 22 Jul 2010 16:25:58 -0400

casper (1.236common0omsk1) lucid; urgency=low

  * scripts/casper: Don't kill aufsd or ntfs mounts when shutting down
  * debian/casper.init: Don't try to eject /dev/sda

 -- Michael Terry <michael.terry@canonical.com>  Wed, 30 Jun 2010 21:03:56 -0400

## casper 1.236jolicloud4

=== debian/changelog ===
casper (1.236jolicloud4) robby; urgency=low

  * Corrected casper's final message ("Rebooting..." or "Shutting
    Down...") after pressing enter to remove the installation media, so
    it reflects whether you are rebooting or shutting down based on
    runlevel.

 -- Adam McDaniel <adam@jolicloud.org>  Thu, 30 Sep 2010 13:44:17 -0600

casper (1.236jolicloud3) robby; urgency=low

  * Don't modify casper.conf with the buildos' BUILD_SYSTEM
  * Add a "Shutting down..." message in plymouth after pressing Enter to
    remove the USB key.

 -- Adam McDaniel <adam@jolicloud.org>  Sat, 18 Sep 2010 15:25:51 -0600

casper (1.236jolicloud2) robby; urgency=low

  * Added SLiM into casper's initrd autologin script
  * Update shutdown message to reference a USB key, not a disk

 -- Adam McDaniel <adam@jolicloud.org>  Fri, 17 Sep 2010 00:24:42 -0600

casper (1.236jolicloud1) robby; urgency=low

  * Imported Debian version 1.236

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Wed, 01 Sep 2010 11:35:27 +0200

## casper 1.236.2

=== debian/changelog ===
casper (1.236.2) lucid-proposed; urgency=low

  * More fixes to the USB update-initramfs shim (thanks, Evan Dandrea;
    LP: #557023, #591207):
    - Make the shim a proper executable in
      /usr/share/casper/casper-update-initramfs and symlink to it if
      necessary at boot time, so that new versions of this shim are
      automatically installed when casper is upgraded.
    - Only copy each of $bootdir/initrd.img and $bootdir/vmlinuz if they
      exist (for example, initrd.img may exist without vmlinuz if we're
      running off a fresh live USB stick and the kernel hasn't yet been
      upgraded).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 20 Jan 2011 14:26:57 +0000

casper (1.236.1) lucid-proposed; urgency=low

  * Make the USB update-initramfs shim cope with vmlinuz and initrd.img
    being in /boot rather than / (LP: #591207).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 28 Jun 2010 16:57:36 +0100

=== debian/rules ===
#! /usr/bin/make -f
%:
	dh $@

override_dh_installinit:
	dh_installinit -r --no-start -- start 89 0 6 .

## casper 1.236.2charlotte1

=== casper-md5check/Makefile ===

CC=gcc
CFLAGS := $(shell getconf LFS_CFLAGS) -Wall -O2 -g $(shell pkg-config --cflags ply-boot-client)
LDFLAGS=$(shell pkg-config --libs ply-boot-client)

casper-md5check: casper-md5check.c md5.c

clean:
	rm -f *.o casper-md5check

=== debian/changelog ===
casper (1.236.2charlotte1) lucid; urgency=low

  * scripts/casper:
  * add live-media support in boot parameters

 -- Taiten Peng <taiten.peng@canonical.com>  Mon, 21 Mar 2011 14:21:55 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config
 Standards-Version: 3.8.4
-Vcs-Bzr: lp:~hedley-team/hedley/casper
+Vcs-Bzr: lp:~oem-solutions-group/charlotte/casper
 
 Package: casper
 Architecture: any

## casper 1.236.2jolicloud2

=== Makefile ===
# Looking in which build system we are
BUILD_SYSTEM := $(shell lsb_release --short --id)

all:
	$(MAKE) -C casper-md5check
	set -e; \
	for x in bin/* scripts/casper scripts/casper-bottom/* \
	         ubiquity-hooks/*; do \
		sh -n $$x; \
	done

clean:
	$(MAKE) -C casper-md5check clean

=== debian/changelog ===
casper (1.236.2jolicloud2) robby-1.2; urgency=low

  * Added Jolicloud Display Manager into casper's initrd autologin
    script

 -- Jérémy Bethmont <jerem@jolicloud.org>  Mon, 21 Feb 2011 17:50:00 +0100

casper (1.236.2jolicloud1) robby-1.2; urgency=low

  * Merged casper 1.236.1 & 1.236.2 into robby-1.2
  * Change casper shutdown message to refer to removal of "installation
    media", not "USB key". Also, state we're "restarting" not "rebooting"

 -- Adam McDaniel <adam@jolicloud.org>  Mon, 21 Feb 2011 09:13:23 -0700

## casper 1.236.3

=== debian/changelog ===
casper (1.236.3) lucid-proposed; urgency=low

  * Disable release-upgrade prompts in the live session (LP: #777759).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 05 May 2011 12:31:54 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper (>= 7.0.50~), lsb-release, libplymouth-dev (>= 0.8.0~-13), pkg-config
 Standards-Version: 3.8.4
-Vcs-Bzr: lp:~oem-solutions-group/charlotte/casper
+Vcs-Bzr: lp:ubuntu/casper
 
 Package: casper
 Architecture: any
